Context Management [DEPRECATED](3)

NAME
Context Management [DEPRECATED] -

  Functions

CUresult cuCtxAttach (CUcontext *pctx, unsigned int flags)
Increment a context's usage-count.
CUresult cuCtxDetach (CUcontext ctx)
Decrement a context's usage-count.

Detailed Description

\brief deprecated context management functions of the low-level CUDA driver API (cuda.h)

This section describes the deprecated context management functions of the low-level CUDA driver application programming interface.

Function Documentation

  CUresult cuCtxAttach (CUcontext * pctx, unsigned int flags)

Deprecated

Note that this function is deprecated and should not be used.

Increments the usage count of the context and passes back a context handle in *pctx that must be passed to cuCtxDetach() when the application is done with the context. cuCtxAttach() fails if there is no context current to the thread.

Currently, the flags parameter must be 0.

Parameters:
    pctx - Returned context handle of the current context
    flags - Context attach flags (must be 0)

Returns:
    CUDA_SUCCESS, CUDA_ERROR_DEINITIALIZED, CUDA_ERROR_NOT_INITIALIZED, CUDA_ERROR_INVALID_CONTEXT, CUDA_ERROR_INVALID_VALUE

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cuCtxCreate, cuCtxDestroy, cuCtxDetach, cuCtxGetApiVersion, cuCtxGetCacheConfig, cuCtxGetDevice, cuCtxGetLimit, cuCtxPopCurrent, cuCtxPushCurrent, cuCtxSetCacheConfig, cuCtxSetLimit, cuCtxSynchronize

  CUresult cuCtxDetach (CUcontext ctx)

Deprecated

Note that this function is deprecated and should not be used.

Decrements the usage count of the context ctx, and destroys the context if the usage count goes to 0. The context must be a handle that was passed back by cuCtxCreate() or cuCtxAttach(), and must be current to the calling thread.

Parameters:
    ctx - Context to destroy

Returns:
    CUDA_SUCCESS, CUDA_ERROR_DEINITIALIZED, CUDA_ERROR_NOT_INITIALIZED, CUDA_ERROR_INVALID_CONTEXT

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cuCtxCreate, cuCtxDestroy, cuCtxGetApiVersion, cuCtxGetCacheConfig, cuCtxGetDevice, cuCtxGetLimit, cuCtxPopCurrent, cuCtxPushCurrent, cuCtxSetCacheConfig, cuCtxSetLimit, cuCtxSynchronize

Author

Generated automatically by Doxygen from the source code.